<?php
include_once(__DIR__."/../../core.php");
	
	switch( $html->form('op', 'post') ){
		case "update":
			if( $modules_info[$module_name]["permessi"] == 'rw' ){
				$descrizione = save( $_POST['descrizione'] );
				
				$costo_orario = str_replace( ",", ".", save( $_POST['costo_orario'] ) );
				$costo_km = str_replace( ",", ".", save( $_POST['costo_km'] ) );
				$costo_diritto_chiamata = str_replace( ",", ".", save( $_POST['costo_diritto_chiamata'] ) );
				$note = save( $_POST['note'] );
				$costo_mensile = str_replace( ",", ".", save( $_POST['costo_mensile'] ) );
				$costo_annuale = str_replace( ",", ".", save( $_POST['costo_annuale'] ) );
				( $_POST['v_default'] == 'on' ) ? $v_default=1 : $v_default=0;
				( $_POST['v_fattura_mensile'] == 'on' ) ? $v_fattura_mensile=1 : $v_fattura_mensile=0;
				( $_POST['v_ins_righe_zero'] == 'on' ) ? $v_ins_righe_zero=1 : $v_ins_righe_zero=0;
				 $v_canone=1;
				if( $v_default == '1' ){
					$query = "UPDATE co_contratti_tipi SET  v_default='0'";
					$rs = $dbo->query( $query );
				}

				
				if( $costo_annuale  == '0.00' &&  $costo_mensile <>'0.00.' ){
					$costo_annuale=$costo_mensile * 12;
				}
				if( $costo_annuale  <> '0.00' &&  $costo_mensile =='0.00' ){
					$costo_mensile=$costo_annuale / 12;
				}
				
				$costo_orario_tecnico = str_replace( ",", ".", save( $_POST['costo_orario_tecnico'] ) );
				$costo_km_tecnico = str_replace( ",", ".", save( $_POST['costo_km_tecnico'] ) );
				$costo_diritto_chiamata_tecnico = str_replace( ",", ".", save( $_POST['costo_diritto_chiamata_tecnico'] ) );

				$query = "UPDATE co_contratti_tipi SET costo_annuale=\"$costo_annuale\" , v_fattura_mensile= \"$v_fattura_mensile\",v_ins_righe_zero= \"$v_ins_righe_zero\",v_default= \"$v_default\", costo_mensile=\"$costo_mensile\" , descrizione=\"$descrizione\", note=\"$note\" , costo_orario=\"$costo_orario\", costo_km=\"$costo_km\", costo_diritto_chiamata=\"$costo_diritto_chiamata\", costo_orario_tecnico=\"$costo_orario_tecnico\", costo_km_tecnico=\"$costo_km_tecnico\", costo_diritto_chiamata_tecnico=\"$costo_diritto_chiamata_tecnico\" WHERE id=\"".$id_record."\"";

				$rs = $dbo->query( $query );
				array_push( $_SESSION['infos'], "Informazioni tipo canone salvate correttamente!" );
			}
			break;

		case "add":
			if( $modules_info[$module_name]["permessi"] == 'rw' ){
				$idtipocontratto = save( $_POST['idtipocontratto'] );
				$descrizione = save( $_POST['descrizione'] );

				$query = "INSERT INTO co_contratti_tipi( idtipocontratto, descrizione, costo_orario, costo_km , v_canone ) VALUES ( \"".$idtipocontratto."\", \"$descrizione\", 0.00, 0.00 ,'1' )";
				$dbo->query($query);
				$id_record = $dbo->last_inserted_id();
				array_push( $_SESSION['infos'], "Nuovo tipo di canone aggiunto!" );
			}
			break;
		case "addarticolo":
			if( $modules_info[$module_name]["permessi"] == 'rw' ){
				$idarticolo = save( $_POST['idarticolo'] );		
				$descrizione = save( $_POST['descrizione'] );
				$qta = force_decimal( $_POST['qta'] );
				$prezzo = force_decimal( $_POST['prezzo'] );
				$idtiposconto = save( $_POST['idtiposconto'] );
				$sconto = force_decimal($_POST['sconto']);
				$sconto_extra = force_decimal($_POST['sconto_extra']);
				$sconto_extra1 = force_decimal($_POST['sconto_extra1']);
				if($idtiposconto=='2'){
					$sconto_prc = $sconto;
					$sconto = ($prezzo * $sconto_prc)/100;											
				}else{
					$sconto_prc = $sconto;
				}										
				if($idtiposconto=='2'){
					$sconto_extra = $sconto_extra;
					$sconto1 = (($prezzo -  $sconto) * $sconto_extra)/100;
				}else{
					$sconto1 = $sconto_extra;					
				}
				if($idtiposconto=='2'){
					$sconto_extra1 = $sconto_extra1;
					$sconto2 = (($prezzo -  $sconto - $sconto1 ) * $sconto_extra1)/100;
				}else{
					$sconto2 = $sconto_extra1;					
				}
				$sconto = ( $sconto + $sconto1 + $sconto2  ) *$qta;
				add_articolo_intipocontratto( $id_record, $idarticolo, $descrizione, $idiva, $qta, $prezzo*$qta, $sconto, '0', $lotto, $serial, $altro , $idconto,$idtiposconto,$sconto_prc,$sconto_extra,$sconto_extra1 ,$idmagazzino );
					
				array_push( $_SESSION['infos'], "Inserita impostazione voce di servizio!" );
			}
			break;
		case "addarticolo_qta":
			if( $modules_info[$module_name]["permessi"] == 'rw' ){
				$idarticolo = save( $_POST['idarticolo'] );		
				$descrizione = save( $_POST['descrizione'] );
				$qta = force_decimal( $_POST['qta'] );
				$prezzo = force_decimal( $_POST['prezzo'] );
				$idtiposconto = save( $_POST['idtiposconto'] );
				$sconto = force_decimal($_POST['sconto']);
				$sconto_extra = force_decimal($_POST['sconto_extra']);
				$sconto_extra1 = force_decimal($_POST['sconto_extra1']);
				if($idtiposconto=='2'){
					$sconto_prc = $sconto;
					$sconto = ($prezzo * $sconto_prc)/100;											
				}else{
					$sconto_prc = $sconto;
				}										
				if($idtiposconto=='2'){
					$sconto_extra = $sconto_extra;
					$sconto1 = (($prezzo -  $sconto) * $sconto_extra)/100;
				}else{
					$sconto1 = $sconto_extra;					
				}
				if($idtiposconto=='2'){
					$sconto_extra1 = $sconto_extra1;
					$sconto2 = (($prezzo -  $sconto - $sconto1 ) * $sconto_extra1)/100;
				}else{
					$sconto2 = $sconto_extra1;					
				}
				$sconto = ( $sconto + $sconto1 + $sconto2  ) *$qta;
				add_articolo_intipocontratto_qta( $id_record, $idarticolo, $descrizione, $idiva, $qta, $prezzo*$qta, $sconto, '0', $lotto, $serial, $altro , $idconto,$idtiposconto,$sconto_prc,$sconto_extra,$sconto_extra1 ,$idmagazzino );
					
				array_push( $_SESSION['infos'], "Inserita impostazione voce di servizio!" );
			}
			break;
		case "editriga":
			if( $modules_info[$module_name]["permessi"] == 'rw' ){
				$idriga = $html->form('idriga', 'post');								
				$descrizione = save( $_POST['descrizione'] );
				$importo_manuale = save( $_POST['subtot'] );
				$importo_manuale = str_replace( ",", ".", $importo_manuale );
				$qta = save($_POST['qta']);
				$qta = str_replace( ",", ".", $qta );				
				$subtot = $importo_manuale*$qta;
				$idtiposconto = save( $_POST['idtiposconto'] );
				$sconto = force_decimal($_POST['sconto']);
				$sconto_extra = force_decimal($_POST['sconto_extra']);
				$sconto_extra1 = force_decimal($_POST['sconto_extra1']);					
				if($idtiposconto=='2'){
					$sconto_prc = $sconto;
					$sconto = ($importo_manuale*$sconto_prc)/100;											
				}else{
					$sconto_prc = $sconto;
				}										
				if($idtiposconto=='2'){
					$sconto_extra = $sconto_extra;
					$sconto1 = (($importo_manuale -  $sconto) * $sconto_extra)/100;
				}else{
					$sconto1 = $sconto_extra;					
				}
				if($idtiposconto=='2'){
					$sconto_extra1 = $sconto_extra1;
					$sconto2 = (($importo_manuale -  $sconto - $sconto1) * $sconto_extra1)/100;
				}else{
					$sconto2 = $sconto_extra1;					
				}
				$sconto = ( $sconto + $sconto1 + $sconto2  ) *$qta;
				
				//Lettura idarticolo dalla riga documento
				$rs = $dbo->fetchArray("SELECT idarticolo FROM co_contratti_tipi_righe WHERE id=\"".$idriga."\"");
				$idarticolo = $rs[0]['idarticolo'];
				
				$query="DELETE FROM co_contratti_tipi_righe WHERE id=\"".$idriga."\"";
				$dbo->query($query);	
				add_articolo_intipocontratto( $id_record, $idarticolo, $descrizione, $idiva, $qta, $importo_manuale*$qta, $sconto, '0', $lotto, $serial, $altro , $idconto,$idtiposconto,$sconto_prc,$sconto_extra,$sconto_extra1 ,$idmagazzino );
					
				
				array_push( $_SESSION['infos'], "Riga modificata !" );
			}
			break;
		case "editriga_qta":
			if( $modules_info[$module_name]["permessi"] == 'rw' ){
				$idriga = $html->form('idriga', 'post');								
				$descrizione = save( $_POST['descrizione'] );
				$importo_manuale = save( $_POST['subtot'] );
				$importo_manuale = str_replace( ",", ".", $importo_manuale );
				$qta = save($_POST['qta']);
				$qta = str_replace( ",", ".", $qta );				
				$subtot = $importo_manuale*$qta;
				$idtiposconto = save( $_POST['idtiposconto'] );
				$sconto = force_decimal($_POST['sconto']);
				$sconto_extra = force_decimal($_POST['sconto_extra']);
				$sconto_extra1 = force_decimal($_POST['sconto_extra1']);					
				if($idtiposconto=='2'){
					$sconto_prc = $sconto;
					$sconto = ($importo_manuale*$sconto_prc)/100;											
				}else{
					$sconto_prc = $sconto;
				}										
				if($idtiposconto=='2'){
					$sconto_extra = $sconto_extra;
					$sconto1 = (($importo_manuale -  $sconto) * $sconto_extra)/100;
				}else{
					$sconto1 = $sconto_extra;					
				}
				if($idtiposconto=='2'){
					$sconto_extra1 = $sconto_extra1;
					$sconto2 = (($importo_manuale -  $sconto - $sconto1) * $sconto_extra1)/100;
				}else{
					$sconto2 = $sconto_extra1;					
				}
				$sconto = ( $sconto + $sconto1 + $sconto2  ) *$qta;
				
				//Lettura idarticolo dalla riga documento
				$rs = $dbo->fetchArray("SELECT idarticolo FROM co_contratti_tipi_righe_qta WHERE id=\"".$idriga."\"");
				$idarticolo = $rs[0]['idarticolo'];
				
				$query="DELETE FROM co_contratti_tipi_righe_qta WHERE id=\"".$idriga."\"";
				$dbo->query($query);	
				add_articolo_intipocontratto_qta( $id_record, $idarticolo, $descrizione, $idiva, $qta, $importo_manuale*$qta, $sconto, '0', $lotto, $serial, $altro , $idconto,$idtiposconto,$sconto_prc,$sconto_extra,$sconto_extra1 ,$idmagazzino );
					
				
				array_push( $_SESSION['infos'], "Riga modificata1 !" );
			}
			break;
		case "unlink_articolo_qt":
			if( $modules_info[$module_name]["permessi"] == 'rw' ){
				$idriga = $html->form( 'idriga', 'post' );
				$query="DELETE FROM co_contratti_tipi_righe_qta WHERE id=\"".$idriga."\"";
				$dbo->query($query);				
				array_push( $_SESSION['infos'], "Rimossa impostazione voce di servizio!" );
			}
			break;	
		case "unlink_articolo":
			if( $modules_info[$module_name]["permessi"] == 'rw' ){
				$idriga = $html->form( 'idriga', 'post' );
				$query="DELETE FROM co_contratti_tipi_righe WHERE id=\"".$idriga."\"";
				$dbo->query($query);				
				array_push( $_SESSION['infos'], "Rimossa impostazione voce di servizio!" );
			}
			break;
		case "delete":
			if( $modules_info[$module_name]["permessi"] == 'rw' ){
				$rs = $dbo->fetchArray("SELECT id FROM co_contratti WHERE id_tipocanone='".$id_record."'");	
				if ( sizeof($rs) > 0 ) {
					array_push( $_SESSION['errors'], "tipologia presente nei contratti di manutenzione. rimozione non consentita!" );
				}
				else{
					$query="DELETE FROM co_contratti_tipi WHERE id=\"".$id_record."\"";
					$dbo->query($query);
					array_push( $_SESSION['infos'], "Tipo di canone eliminato!" );
				}
			}
			break;
	}
?>
